Bug 697222 - Duplicity with rsync fails if RSYNC_RSH is not set
Summary: Duplicity with rsync fails if RSYNC_RSH is not set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 14
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-17 00:06 UTC by David
Modified: 2011-08-05 08:33 UTC (History)
1 user (show)

Fixed In Version: duplicity-0.6.14-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 03:43:07 UTC
Type: ---


Attachments (Terms of Use)

Description David 2011-04-17 00:06:12 UTC
Description of problem:
run duplicity with rsync and you get an exception.

Version-Release number of selected component (if applicable):

RSYNC_RSH
How reproducible:
Everytime

Steps to Reproduce:
1. try the following command:
uplicity full --log-file backup.log --no-encryption -v6 --include-globbing-filelist include --volsize 200 --dry-run ~/ rsync://xxx@xxx//data/backup/laptop

or something similar.
  
Actual results:

Exception thrown:

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1245, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1238, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1124, in main
    action = commandline.ProcessCommandLine(sys.argv[1:])
  File "/usr/lib64/python2.7/site-packages/duplicity/commandline.py", line 927, in ProcessCommandLine
    backup, local_pathname = set_backend(args[0], args[1])
  File "/usr/lib64/python2.7/site-packages/duplicity/commandline.py", line 820, in set_backend
    globals.backend = backend.get_backend(bend)
  File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 153, in get_backend
    return _backends[pu.scheme](pu)
  File "/usr/lib64/python2.7/site-packages/duplicity/backends/rsyncbackend.py", line 52, in __init__
    del os.environ['RSYNC_RSH']
  File "/usr/lib64/python2.7/os.py", line 496, in __delitem__
    del self.data[key]
KeyError: 'RSYNC_RSH'

Expected results:

Should run duplicity and backup

Comment 1 Robert Scheck 2011-07-17 19:00:44 UTC
His has been fixed upstream: https://bugs.launchpad.net/duplicity/+bug/681980

Comment 2 Fedora Update System 2011-07-17 20:41:40 UTC
duplicity-0.6.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.fc15

Comment 3 Fedora Update System 2011-07-17 20:42:17 UTC
duplicity-0.6.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.fc14

Comment 4 Fedora Update System 2011-07-17 20:42:45 UTC
duplicity-0.6.14-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.el6

Comment 5 Fedora Update System 2011-07-17 20:43:15 UTC
duplicity-0.6.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.el5

Comment 6 Fedora Update System 2011-07-17 20:44:20 UTC
duplicity-0.6.14-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.el4

Comment 7 Fedora Update System 2011-07-18 22:34:57 UTC
Package duplicity-0.6.14-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing duplicity-0.6.14-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/duplicity-0.6.14-1.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-07-31 03:42:52 UTC
duplicity-0.6.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-07-31 03:59:55 UTC
duplicity-0.6.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-08-05 08:29:25 UTC
duplicity-0.6.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-08-05 08:30:10 UTC
duplicity-0.6.14-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-08-05 08:32:50 UTC
duplicity-0.6.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.